(function($, Drupal) {

    "use strict";
    Drupal.behaviors.luxestateCarousel = {
        attach: function(context, settings) {
            $(document).ready(function() {

                if($('.carousel-responsive').length) {
                $('.carousel-responsive').slick({
                    dots: false,
                infinite: false,
                speed: 300,
                slidesToShow: 6,
                slidesToScroll: 1,
                responsive: [{
                    breakpoint: 992,
                    settings: {
                        slidesToShow: 4,
                        slidesToScroll: 1
                    }
                }, {
                    breakpoint: 768,
                    settings: {
                        slidesToShow: 3,
                        slidesToScroll: 1
                    }
                }, {
                    breakpoint: 480,
                    settings: {
                        slidesToShow: 2,
                        slidesToScroll: 2
                    }
                }]
              });
            }

            });
    }
};


})(jQuery, Drupal);
